Loading...
Searching...
No Matches
ranges::views::concat_fn Struct Reference

## Public Member Functions

template<typename Rng > requires viewable_range<Rng> && input_range<Rng>
all_t< Rng > | operator() (Rng &&rng) const
template<typename... Rngs> requires and_v<(viewable_range<Rngs> && input_range<Rngs>)...>
concat_view< all_t< Rngs >... > | operator() (Rngs &&... rngs) const

## Related Symbols

(Note that these are not member symbols.)
constexpr concat_fn | concat {}